Name: gpsim
Version: 0.21.2
Release: alt0.2
#Release: alt0.1snap31dec04

Summary: Software simulator for Microchip PIC microcontrollers

License: GPL
Group: Video
Url: http://www.dattalo.com/gnupic/gpsim.html

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.dattalo.com/gnupic/gpsim-%version.tar.bz2
#Source: http://www.dattalo.com/gnupic/gpsim-snap-31dec04.tar.bz2

# manually removed: gcc-g77
# Automatically added by buildreq on Mon Jan 17 2005
BuildRequires: flex gcc-c++ glib-devel glibc-devel-static gtk+-devel libgtk+extra-devel libpopt-devel libreadline-devel libstdc++-devel xorg-x11-libs

%description
gpsim is a full-featured software simulator for Microchip PIC
microcontrollers distributed under the GNU General Public License

gpsim has been designed to be as accurate as possible. Accuracy includes the
entire PIC - from the core to the I/O pins and including ALL of the internal
peripherals. Thus it's possible to create stimuli and tie them to the I/O
pins and test the PIC the same PIC the same way you would in the real world.

%package devel
Summary: Header files, libraries and development documentation for %name
Group: Development/Libraries
Requires: %name = %version-%release

%description devel
This package contains the header files and development
documentation for %name. If you like to develop programs using %name,
you will need to install %name-devel.

%package -n lib%name
Summary: Main library for %name
Group: System/Libraries

%description -n lib%name
This package contains the library needed to run programs dynamically
linked with libgpsim

%package -n     lib%name-devel
Summary: Headers for developing programs that will use libgpsim
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains the headers that programmers will need to develop
applications which will use libgpsim

%prep
%setup -q

%__cat <<EOF >%name.desktop
[Desktop Entry]
Name=gpsim
Comment=Software simulator for Microchip PIC microcontrollers
Exec=gpsim
Terminal=false
Type=Application
StartupNotify=true
Encoding=UTF-8
Categories=Application;Development;X-Red-Hat-Extra;
EOF

%build
%configure --disable-static
%make

%install
%makeinstall

# I really don't know why they are not stripped by rpmbuild
strip $RPM_BUILD_ROOT%_bindir/%name $RPM_BUILD_ROOT%_libdir/*.so.*

mkdir -p $RPM_BUILD_ROOT%_menudir
cat << EOF > $RPM_BUILD_ROOT%_menudir/%name
?package(%name):command="%_bindir/%name" \\
icon="development_section.png" needs="X11"\\
section="Applications/Development/Development environments" \\
title="Gpsim" longtitle="A software simulator for Microchip PIC microcontrollers" \\
accept_url="false"
EOF

%post
%post_ldconfig
%update_menus

%postun
%postun_ldconfig
%clean_menus

%files
%_bindir/%name
%_menudir/%name

%files -n lib%name
%doc AUTHORS ChangeLog NEWS README TODO
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so

%changelog
* Mon Feb 14 2005 Vitaly Lipatov <lav@altlinux.ru> 0.21.2-alt0.2
- add update menu, fix menu section

* Mon Jan 17 2005 Vitaly Lipatov <lav@altlinux.ru> 0.21.2-alt0.1
- first build for ALT Linux Sisyphus

* Mon Jan 10 2005 Dries Verachtert <dries@ulyssis.org> - 0.21.2-1 #2827
- Initial package.
